#ifndef FLUTTER_PLUGIN_MY_PLUGIN_TEST_PROJECT_PLUGIN_H_
#define FLUTTER_PLUGIN_MY_PLUGIN_TEST_PROJECT_PLUGIN_H_

#include <flutter/method_channel.h>
#include <flutter/plugin_registrar_windows.h>

#include <memory>

namespace my_plugin_test_project {

class MyPluginTestProjectPlugin : public flutter::Plugin {
 public:
  static void RegisterWithRegistrar(flutter::PluginRegistrarWindows *registrar);

  MyPluginTestProjectPlugin();

  virtual ~MyPluginTestProjectPlugin();

  // Disallow copy and assign.
  MyPluginTestProjectPlugin(const MyPluginTestProjectPlugin&) = delete;
  MyPluginTestProjectPlugin& operator=(const MyPluginTestProjectPlugin&) = delete;

  // Called when a method is called on this plugin's channel from Dart.
  void HandleMethodCall(
      const flutter::MethodCall<flutter::EncodableValue> &method_call,
      std::unique_ptr<flutter::MethodResult<flutter::EncodableValue>> result);
};

}  // namespace my_plugin_test_project

#endif  // FLUTTER_PLUGIN_MY_PLUGIN_TEST_PROJECT_PLUGIN_H_
