import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'my_plugin_test_project_platform_interface.dart';

class MethodChannelMyPluginTestProject extends MyPluginTestProjectPlatform {
  @visibleForTesting
  final methodChannel = const MethodChannel('my_plugin_test_project');

  @override
  Future<String?> getPlatformVersion() async {
    final version =
        await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
